Charge an authorized transaction created by createToken using chargeTokenAuth in DPO Pay API v6.
Charge Token Auth (v6)
Charge a transaction that was created by createToken and has already been authorized.
Use chargeTokenAuth to capture an authorized transaction. If the transaction has not been authorized yet, this request will not charge it.
Endpoint
POST https://secure.3gdirectpay.com/API/v6/Headers
Content-Type: application/xml; charset=utf-8
Accept: application/xmlRequest parameters
| Parameter | Data type | Description | Required |
|---|---|---|---|
Request | Text | Must be chargeTokenAuth. | Mandatory |
CompanyToken | Token | Token you received from 3G to operate this API. | Mandatory |
TransactionToken | Token | Transaction token received from createToken. | Mandatory |
Request example
<?xml version="1.0" encoding="utf-8"?>
<API3G>
<CompanyToken>57466282-EBD7-4ED5-B699-8659330A6996</CompanyToken>
<Request>chargeTokenAuth</Request>
<TransactionToken>72983CAC-5DB1-4C7F-BD88-352066B71592</TransactionToken>
</API3G>Response fields
The server responds to the chargeTokenAuth request with the result of your request.
| Parameter | Data type | Description |
|---|---|---|
Result | 3-digit code | Code sent with the result of the request. |
ResultExplanation | Text | Free text result explanation. |
Response codes
| Code | Explanation |
|---|---|
000 | Transaction queued for charge. The transaction is now queued for charge by DPO automated procedures. |
800 | Transaction not authorized. The transaction has not been authorized yet. It must be authorized by the customer manually using the payment page or by the chargeTokenCreditCard request. |
801 | Request missing company token. |
802 | Company token does not exist. |
803 | No request or error in request type name. |
804 | Error in XML. |
902 | Data mismatch in one of the fields: field name. |
950 | Request missing mandatory fields: field name. |
903 | Transaction not found. |
905 | Transaction already charged. |
Success response example
<?xml version="1.0" encoding="utf-8"?>
<API3G>
<Result>000</Result>
<ResultExplanation>Transaction queued for charge</ResultExplanation>
</API3G>Usage notes
- Use
chargeTokenAuthonly for transactions that were already authorized. - If you receive
800, authorize the transaction first using the payment page orchargeTokenCreditCard. - If you receive
905, the transaction has already been charged. - After a successful
000response, the transaction is queued for DPO automated charge processing.

